<< sos2tf | FOSSEE_Signal_Processing_Toolbox | sosbreak >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sos2zp

# sos2zp

This function converts series second-order sections to zeros, poles, and gains (pole residues).

### Syntax

    z = sos2zp (sos)
    z = sos2zp (sos, g)
    [z, p] = sos2zp (...)
    [z, p, k] = sos2zp (...)

### Parameters

sos:

  matrix of real or complex numbers

g:

  real or complex value, default value is 1

z:

  column vector

p:

  column vector

### Description

This function converts series second-order sections to zeros, poles, and gains (pole residues). The input is the sos matrix and the second parameter is the overall gain, default value of which is 1. The outputs are z, p, k. z and p are column vectors containing zeros and poles respectively, and k is the overall gain.

### Examples

    [a,b,c]=sos2zp([1,2,3,4,5,6])

Report an issue
<< sos2tf | FOSSEE_Signal_Processing_Toolbox | sosbreak >>